- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcdr::CDRPathElement Class Referenceabstract

`#include <CDRPath.h>`

Inheritance diagram for libcdr::CDRPathElement:

## Public Member Functions
| CDRPathElement ()
virtual | ~CDRPathElement ()
virtual void | writeOut (WPXPropertyListVector &vec) const =0
virtual void | transform (const CDRTransform &trafo)=0
virtual CDRPathElement * | clone ()=0

## Constructor & Destructor Documentation

libcdr::CDRPathElement::CDRPathElement | ( |  | ) |
| inline

virtual libcdr::CDRPathElement::~CDRPathElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual CDRPathElement* libcdr::CDRPathElement::clone | ( |  | ) |
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRSplineToElement, libcdr::CDRQuadraticBezierToElement, libcdr::CDRCubicBezierToElement, libcdr::CDRPath, libcdr::CDRLineToElement, and libcdr::CDRMoveToElement.

virtual void libcdr::CDRPathElement::transform | ( | const CDRTransform & | trafo | ) |
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRSplineToElement, libcdr::CDRQuadraticBezierToElement, libcdr::CDRCubicBezierToElement, libcdr::CDRPath, libcdr::CDRLineToElement, and libcdr::CDRMoveToElement.

virtual void libcdr::CDRPathElement::writeOut | ( | WPXPropertyListVector & | vec | ) | const
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRSplineToElement, libcdr::CDRQuadraticBezierToElement, libcdr::CDRCubicBezierToElement, libcdr::CDRPath, libcdr::CDRLineToElement, and libcdr::CDRMoveToElement.

The documentation for this class was generated from the following file:

- CDRPath.h